Index: /code/branches/gameimmersion/data/levels/includes/weaponSettingsImmTest.oxi
===================================================================
--- /code/branches/gameimmersion/data/levels/includes/weaponSettingsImmTest.oxi	(revision 8537)
+++ /code/branches/gameimmersion/data/levels/includes/weaponSettingsImmTest.oxi	(revision 8538)
@@ -18,4 +18,8 @@
           <DefaultWeaponmodeLink firemode=3 weaponmode=3 />
         </links>
+            <!-- HsW01 is the standard Weapon, 4 slots => 4 Projectiles spawned at one click -->
+            <!-- LightningGun is the spiral weapon, 2 slots -->
+            <!-- SimpleRocket is the target-following rocket -->
+            <!-- Rocket is the player-guided rocket -->
         <Weapon>
           <attached>
Index: /code/branches/gameimmersion/src/modules/weapons/projectiles/BasicProjectile.cc
===================================================================
--- /code/branches/gameimmersion/src/modules/weapons/projectiles/BasicProjectile.cc	(revision 8537)
+++ /code/branches/gameimmersion/src/modules/weapons/projectiles/BasicProjectile.cc	(revision 8538)
@@ -49,5 +49,4 @@
 
         this->bDestroy_ = false;
-//        this->owner_ = 0;
 
         this->damage_ = 0;
@@ -127,10 +126,5 @@
     }
 
-/*    void BasicProjectile::setOwner(Pawn* owner)
-    {
-        this->owner_ = owner;
-    }
-
-    void BasicProjectile::destroyObject()
+/*    void BasicProjectile::destroyObject()
     {
         if (GameMode::isMaster())
Index: /code/branches/gameimmersion/src/modules/weapons/projectiles/BasicProjectile.h
===================================================================
--- /code/branches/gameimmersion/src/modules/weapons/projectiles/BasicProjectile.h	(revision 8537)
+++ /code/branches/gameimmersion/src/modules/weapons/projectiles/BasicProjectile.h	(revision 8538)
@@ -48,9 +48,4 @@
             void basicDestroyObject();
 
-/*            void basicSetOwner(Pawn* owner);
-            inline Pawn* basicGetOwner() const
-                { return this->owner_; }
-*/
-
             inline void setDamage(float damage)
                 { this->damage_ = damage;  }
@@ -75,7 +70,6 @@
 
 
-
         private:
-//            WeakPtr<Pawn> owner_;
+//            WeakPtr<Pawn> owner_; //owner cannot be set in BasicProjectile, because it's already defined in MobileEntity and Movable Entity
 
             float damage_;
Index: /code/branches/gameimmersion/src/modules/weapons/projectiles/Projectile.cc
===================================================================
--- /code/branches/gameimmersion/src/modules/weapons/projectiles/Projectile.cc	(revision 8537)
+++ /code/branches/gameimmersion/src/modules/weapons/projectiles/Projectile.cc	(revision 8538)
@@ -47,5 +47,5 @@
         this->setConfigValues();
 //        this->bDestroy_ = false;
-        this->owner_ = 0;
+//        this->owner_ = 0;
 //        this->damage_ = 115;
 ///////////////////me
@@ -100,5 +100,5 @@
     bool Projectile::collidesAgainst(WorldEntity* otherObject, btManifoldPoint& contactPoint)
     {
-        return BasicProjectile::basicCollidesAgainst(otherObject,contactPoint,this->owner_,this);
+        return BasicProjectile::basicCollidesAgainst(otherObject,contactPoint,this->getOwner(),this);
     }
 
@@ -160,4 +160,3 @@
         this->owner_ = owner;
     }
-
 }
Index: /code/branches/gameimmersion/src/modules/weapons/projectiles/Projectile.h
===================================================================
--- /code/branches/gameimmersion/src/modules/weapons/projectiles/Projectile.h	(revision 8537)
+++ /code/branches/gameimmersion/src/modules/weapons/projectiles/Projectile.h	(revision 8538)
@@ -56,4 +56,6 @@
                 { return this->damage_; }
 */
+
+
             void setOwner(Pawn* owner);
             inline Pawn* getOwner() const
Index: /code/branches/gameimmersion/src/modules/weapons/projectiles/Rocket.cc
===================================================================
--- /code/branches/gameimmersion/src/modules/weapons/projectiles/Rocket.cc	(revision 8537)
+++ /code/branches/gameimmersion/src/modules/weapons/projectiles/Rocket.cc	(revision 8538)
@@ -148,6 +148,6 @@
     {
         this->owner_ = owner;
-        this->player_ = this->owner_->getPlayer();
-        this->owner_->getPlayer()->startTemporaryControl(this);
+        this->player_ = this->getOwner()->getPlayer();
+        this->getOwner()->getPlayer()->startTemporaryControl(this);
 
         if( GameMode::isMaster() )
@@ -185,5 +185,5 @@
     bool Rocket::collidesAgainst(WorldEntity* otherObject, btManifoldPoint& contactPoint)
     {
-        return BasicProjectile::basicCollidesAgainst(otherObject,contactPoint,this->owner_,this);
+        return BasicProjectile::basicCollidesAgainst(otherObject,contactPoint,this->getOwner(),this);
 
 /* * /        if (!this->bDestroy_ && GameMode::isMaster())
@@ -246,8 +246,8 @@
     {
         ParticleSpawner *effect1, *effect2;
-        if( this->owner_ )
-        {
-            effect1 = new ParticleSpawner(this->owner_->getCreator());
-            effect2 = new ParticleSpawner(this->owner_->getCreator());
+        if( this->getOwner() )
+        {
+            effect1 = new ParticleSpawner(this->getOwner()->getCreator());
+            effect2 = new ParticleSpawner(this->getOwner()->getCreator());
         }
         else
Index: /code/branches/gameimmersion/src/modules/weapons/projectiles/Rocket.h
===================================================================
--- /code/branches/gameimmersion/src/modules/weapons/projectiles/Rocket.h	(revision 8537)
+++ /code/branches/gameimmersion/src/modules/weapons/projectiles/Rocket.h	(revision 8538)
@@ -111,10 +111,4 @@
                 { return this->owner_; }
 
-/*            inline void setDamage(float damage)
-                { this->damage_ = damage; }
-            inline float getDamage() const
-                { return this->damage_; }
-*/
-
             virtual void fired(unsigned int firemode);
 
Index: /code/branches/gameimmersion/src/modules/weapons/projectiles/SimpleRocket.cc
===================================================================
--- /code/branches/gameimmersion/src/modules/weapons/projectiles/SimpleRocket.cc	(revision 8537)
+++ /code/branches/gameimmersion/src/modules/weapons/projectiles/SimpleRocket.cc	(revision 8538)
@@ -159,5 +159,5 @@
     {
         this->owner_ = owner;
-        this->player_ = this->owner_->getPlayer();
+        this->player_ = this->getOwner()->getPlayer();
     }
 
@@ -167,5 +167,5 @@
     bool SimpleRocket::collidesAgainst(WorldEntity* otherObject, btManifoldPoint& contactPoint)
     {
-        return BasicProjectile::basicCollidesAgainst(otherObject,contactPoint,this->owner_,this);
+        return BasicProjectile::basicCollidesAgainst(otherObject,contactPoint,this->getOwner(),this);
 /*        if (!this->bDestroy_ && GameMode::isMaster())
         {
Index: /code/branches/gameimmersion/src/modules/weapons/projectiles/SimpleRocket.h
===================================================================
--- /code/branches/gameimmersion/src/modules/weapons/projectiles/SimpleRocket.h	(revision 8537)
+++ /code/branches/gameimmersion/src/modules/weapons/projectiles/SimpleRocket.h	(revision 8538)
@@ -113,12 +113,8 @@
             inline Pawn* getOwner() const
                 { return this->owner_; }
+
             inline bool hasFuel() const
             { return this->fuel_; }
 
-/*            inline void setDamage(float damage)
-                { this->damage_ = damage; }
-            inline float getDamage() const
-                { return this->damage_; }
-*/
 
         private:
